Subject: Re: How to create fvwm deb packages from fvwm sources

From: Dominik Vogt <[email-masked]>
Date: Mon, 3 Nov 2003 11:09:34 +0100

Can you put these instructions into the DEVELOPERS file and on the
web site please?

On Fri, Oct 31, 2003 at 06:16:16PM +0000, Mikhael Goikhman wrote:
> Anyone with deb tools installed may now create deb packages by issuing:
> 
>   make deb-dist
> 
> This creates dist from fvwm sources (cvs) and then creates deb package
> from this tarball. If you already have the tarball (downloaded the
> official tar.gz release or produced it using "make dist"), then it is
> possible to skip the dist stage and issue:
> 
>   make deb-this
> 
> Some arguments like cparams, mparams, release=1, version=2.5.10 may be
> passed to make (see Makefile.am for examples). It makes sense to specify
> a non current version=x.y.z for "deb-this" only, not for "deb-dist".
> 
> This all is fully analogous to "make rpm-dist" and "make rpm-this".
> 
> Additionally it is possible to build directly in sources/cvs using:
> 
>   make deb-inplace
> 
> with the same optional parameters. This is a bit faster, but not as
> advisable as "make deb-dist".
> 
> To test all this, I executed the following two make-s concurently on the
> same cvs tree on my RedHat system:
> 
>   wget ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-2.3.22.tar.gz
>   make deb-this version=2.3.22 release=2 fullname="Mikhael Goikhman"
> 
>   make deb-dist
> 
> And believe me or not but proper deb packages for both 2.3.22 and 2.5.8
> were created.
> 
> I will take care of releasing deb packages together with rpm packages on
> new releases. Thanks to Andrei Mitrofanow who is ready to build the deb
> packages. (On Debian system of course.)

Ciao

Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]